<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns="http://www.springframework.org/schema/beans"
       xsi:schemaLocation="http://www.springframework.org/schema/beans
    http://www.springframework.org/schema/beans/spring-beans-3.1.xsd">
    <bean id="valeurPaturageDAO"
          class="org.inra.ecoinfo.acbb.dataset.itk.paturage.jpa.JPAValeurPaturageDAO"
          parent="abstractDAO"/>
    <bean id="paturageDAO"
          class="org.inra.ecoinfo.acbb.dataset.itk.paturage.jpa.JPAPaturageDAO"
          parent="interventionDAO"/>
    <bean id="requestPropertiesPaturage"
          class="org.inra.ecoinfo.acbb.dataset.itk.paturage.impl.RequestPropertiesPaturage"
          parent="requestPropertiesITK">
        <property name="dateFormat" value="yyyy/MM/dd"/>
        <property name="localizationManager" ref="localizationManager"/>
    </bean>
    <bean id="publicationPaturageDAO"
          class="org.inra.ecoinfo.acbb.dataset.itk.paturage.jpa.JPAPublicationPaturageDAO"/>


    <bean id="paturageDatatype" class="java.lang.String">
        <constructor-arg type="java.lang.String">
            <value>paturage</value>
        </constructor-arg>
    </bean>
    <bean id="deleteRecordPaturage" class="org.inra.ecoinfo.acbb.dataset.itk.paturage.impl.PaturageDelete"
          parent="deleteRecord">
        <property name="publicationDAO" ref="publicationPaturageDAO"/>
        <property name="paturageDAO" ref="paturageDAO"/>
        <property name="tempoDAO" ref="tempoDAO"/>
        <property name="valeurPaturageDAO" ref="valeurPaturageDAO"/>
        <property name="periodeRealiseeDAO" ref="periodeRealiseeDAO"/>
    </bean>

    <bean id="paturageAnneeRealiseeFactory"
          class="org.inra.ecoinfo.acbb.dataset.itk.paturage.impl.PaturageAnneeRealiseeFactory"
          parent="defaultAnneeRealiseeFactory">
        <property name="periodeRealiseeFactory" ref="paturagePeriodeRealiseeFactory"/>
    </bean>
    <bean id="paturagePeriodeRealiseeFactory"
          class="org.inra.ecoinfo.acbb.dataset.itk.paturage.impl.PaturagePeriodeRealiseeFactory"
          parent="defaultPeriodeRealiseeFactory">
    </bean>
    <bean id="paturageVersionDeTraitementRealiseeFactory"
          class="org.inra.ecoinfo.acbb.dataset.itk.paturage.impl.PaturageVersionDeTraitementRealiseeFactory"
          parent="defaultVersionDeTraitementRealiseeFactory">
        <property name="anneeRealiseeFactory" ref="paturageAnneeRealiseeFactory"/>
    </bean>
    <bean id="buildPaturageHelper"
          class="org.inra.ecoinfo.acbb.dataset.itk.paturage.impl.BuildPaturageHelper"
          parent="abstractBuildHelperITK" scope="prototype">
        <property name="paturageDAO" ref="paturageDAO"/>
        <property name="tempoDAO" ref="tempoDAO"/>
        <property name="versionDeTraitementRealiseeFactory" ref="paturageVersionDeTraitementRealiseeFactory"/>
        <property name="datatypeName" ref="paturageDatatype"/>
    </bean>
    <bean id="processRecordPaturage"
          class="org.inra.ecoinfo.acbb.dataset.itk.paturage.impl.ProcessRecordPaturage"
          parent="abstractProcessRecordITK">
        <property name="datatypeName" ref="paturageDatatype"/>
    </bean>
    <bean id="testHeadersPaturage" class="org.inra.ecoinfo.acbb.dataset.itk.impl.TestHeadersITK"
          parent="genericTestHeaders">
        <property name="datatypeName" ref="paturageDatatype"/>
    </bean>
    <bean id="paturageTestValue" parent="genericTestValues"/>
    <bean id="testFormatPaturage" class="org.inra.ecoinfo.acbb.dataset.impl.GenericTestFormat"
          parent="abstractTestFormat">
        <property name="datatypeName" ref="paturageDatatype"/>
        <property name="testValues" ref="paturageTestValue"/>
        <property name="testHeaders" ref="testHeadersPaturage"/>
    </bean>
    <bean id="paturageRecorder" class="org.inra.ecoinfo.acbb.dataset.impl.RecorderACBB" parent="abstractRecorderBean">
        <property name="datasetDescriptorPath" value="itk/paturage/impl/dataset-descriptor.xml"/>
        <property name="requestPropertiesName" value="requestPropertiesPaturage"/>
        <property name="testFormat" ref="testFormatPaturage"/>
        <property name="deleteRecord" ref="deleteRecordPaturage"/>
        <property name="processRecord" ref="processRecordPaturage"/>
    </bean>
</beans>
